<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
//v1.2 www.exoops.info 2006/03 
// $Id: waiting.inc.php,v 1.1 2003/08/31 12:16:29 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Half-Dead
// Author Website : http://www.e-xoops.com
// License Type   : LGPL: See /manual/LICENSES/LGPL.txt
// ------------------------------------------------------------------------- //
//---------------------------------------------------------------------------------------//
/**
* Description
*
* @param type $var description
* @return type description
*/
function mylinks_waiting() {
global $db,$bcoosConfig;
$count   = 0;
$waiting = array();
$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("mylinks_links")." WHERE status=0");
if ($result) {
	list($num) = $db->fetchRow($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."menu_pointer.gif";
		$waiting[$count]['link']  = XOOPS_URL."/modules/mylinks/admin/index.php?op=listNewLinks";
		$waiting[$count]['text']  = _MB_SYSTEM_WLNKS;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}
$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("mylinks_broken")."");
if ($result) {
	list($num) = $db->fetchRow($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."menu_pointer.gif";
		$waiting[$count]['link']  = XOOPS_URL."/modules/mylinks/admin/index.php?op=listBrokenLinks";
		$waiting[$count]['text']  = _MB_SYSTEM_BLNK;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}
$result = $db->query("SELECT COUNT(*) FROM ".$db->prefix("mylinks_mod")."");
if ($result) {
	list($num) = $db->fetchRow($result);
	$num = intval($num);
	if ($num > 0) {
		$waiting[$count]['image'] = XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."menu_pointer.gif";
		$waiting[$count]['link']  = XOOPS_URL."/modules/mylinks/admin/index.php?op=listModReq";
		$waiting[$count]['text']  = _MB_SYSTEM_MLNKS;
		$waiting[$count]['count'] = $num;
		$count++;
	}
}
return $waiting;
}
?>
